# Klasa pomocnicza do monitorowania postępu uploadu
class ProgressFile:
    def __init__(self, f, callback, total_size):
        self.f = f
        self.callback = callback
        self.total_size = total_size
        self.read_bytes = 0

    def read(self, size=-1):
        data = self.f.read(size)
        self.read_bytes += len(data)
        self.callback(self.read_bytes, self.total_size)
        return data

    def __getattr__(self, attr):
        return getattr(self.f, attr)